Bug 756780 - Review Request: xosd - On-screen display library for X
Summary: Review Request: xosd - On-screen display library for X
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1471023 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-24 14:21 UTC by Petr Pisar
Modified: 2017-07-31 16:20 UTC (History)
3 users (show)

Fixed In Version: xosd-2.2.14-15.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 16:20:33 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-11-24 14:21:03 UTC
Spec URL: http://ppisar.fedorapeople.org/xosd/xosd.spec
SRPM URL: http://ppisar.fedorapeople.org/xosd/xosd-2.2.14-15.fc17.src.rpm
Description:
XOSD displays text on your screen, sounds simple right? The difference
is it is unmanaged and shaped, so it appears transparent. This gives
the effect of an On Screen Display, like your TV/VCR etc.


This is re-review of xosd because I want to unretire it.

Comment 1 Petr Šabata 2012-01-12 15:13:03 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[!]: MUST ldconfig called in %post and %postun if required.
     Note: /sbin/ldconfig not called in %post
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
<snip>
xosd.i686: E: incorrect-fsf-address /usr/share/doc/xosd-2.2.14/COPYING
xosd-devel.i686: W: manual-page-warning /usr/share/man/man1/xosd-config.1.gz 14: warning: macro `l' not defined
</snip>
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/756780/xosd_2.2.14.orig.tar.gz :
  MD5SUM this package     : 4b349fe930e4eee2f504d6c02673e24d
  MD5SUM upstream package : 4b349fe930e4eee2f504d6c02673e24d

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
NOTE: There are no reason for the used patches. What's their purpose? (Patch1 esp.)
TODO: Usual FSF address in license issue; poke upstream.
NOTE: See what you could do about the manpage macro warning. (not a blocker)
TODO: Use a fully versioned, arch specific base package Requires in the devel subpackage, i.e. Requires: %{name}%{?_isa} = %{version}-%{release}


Generated by fedora-review 0.1.1
External plugins:

Comment 2 Petr Pisar 2012-01-13 10:27:21 UTC
Updated package is on the same location. I changed URL and Source to reflect new upstream home.

Comment 3 Petr Šabata 2012-01-13 10:35:47 UTC
--- a/xosd.spec
+++ b/xosd.spec
@@ -4,10 +4,9 @@ Release:        15%{?dist}
 Summary:        On-screen display library for X
 Group:          System Environment/Libraries
 License:        GPLv2+
-URL:            http://www.ignavus.net/software.html
-Source:         http://ftp.debian.org/debian/pool/main/x/xosd/%{name}_%{version}.orig.tar.
+URL:            http://sourceforge.net/projects/libxosd/
+Source:         http://downloads.sourceforge.net/libxosd/%{name}-%{version}.tar.gz
 Patch0:         %{name}-aclocal18.patch
-Patch1:         %{name}-defaults.patch
 BuildRequires:  libX11-devel
 BuildRequires:  libXext-devel
 BuildRequires:  libXinerama-devel
@@ -25,7 +24,7 @@ the effect of an On Screen Display, like your TV/VCR etc.
 %package        devel
 Summary:        Development files for the XOSD on-screen display library
 Group:          Development/Libraries
-Requires:       %{name} = %{version}-%{release}
+Requires:       %{name}%{?_isa} = %{version}-%{release}
 Requires:       libX11-devel
 Requires:       libXext-devel
 Requires:       libXinerama-devel
@@ -37,7 +36,6 @@ on-screen display.
 %prep
 %setup -q
 %patch0 -p0
-%patch1 -p1
 for f in ChangeLog man/xosd_{create,destroy,display,is_onscreen,set_bar_length}.3 ; do
     iconv -f iso-8859-1 -t utf-8 "$f" > "${f}.utf8"
     touch -r "$f" "${f}.utf8"
@@ -82,11 +80,13 @@ rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}
 %{_mandir}/man3/xosd*.3*
 
 %changelog
-* Thu Nov 24 2011 Petr Pisar <ppisar@redhat.com> - 2.2.14-15
+* Fri Jan 13 2012 Petr Pisar <ppisar@redhat.com> - 2.2.14-15
 - Disable XMMS plug-in because gdk-pixpuf-0 has been removed
 - Remove build-optional static library
 - Clean spec file up 
 - Do not package XMMS plug-in pixmaps
+- Remove patch changing default offset to keep closer with upstream
+- Update upstream URLs
 
 * Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.14-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


---
Approving.

Comment 4 Petr Pisar 2012-01-13 13:09:53 UTC
Package Change Request
======================
Package Name: xosd
New Branches: 
Owners: ppisar
InitialCC: 

Please assign this deprecated package in rawhide (F17) to me and make it undeprecated.

Comment 5 Gwyn Ciesla 2012-01-13 13:24:51 UTC
Unretired, take ownership in pkgdb.

Comment 6 Petr Pisar 2012-01-13 13:55:16 UTC
Thank you for the review and the unretiring. Rel-engs have been asked to unblock this package in F17 (https://fedorahosted.org/rel-eng/ticket/5028).

Comment 7 Petr Pisar 2012-08-10 08:19:29 UTC
Package Change Request
======================
Package Name: xosd
New Branches: el6
Owners: ppisar

Comment 8 Gwyn Ciesla 2012-08-10 12:15:00 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-08-10 13:21:27 UTC
xosd-2.2.14-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xosd-2.2.14-16.el6

Comment 10 Fedora Update System 2012-08-27 17:02:43 UTC
xosd-2.2.14-16.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Petr Pisar 2017-07-14 13:27:42 UTC
*** Bug 1471023 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2017-07-14 13:29:11 UTC
xosd-2.2.14-24.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-203bf9e58e

Comment 13 Fedora Update System 2017-07-15 20:18:44 UTC
xosd-2.2.14-24.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-203bf9e58e

Comment 14 Fedora Update System 2017-07-31 16:20:33 UTC
xosd-2.2.14-24.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.